/*
 * 쐬: 2006/03/24
 *
 */
package org.seasar.coffee.script.exception;

import org.seasar.framework.exception.SRuntimeException;

public class ScriptCompleException extends SRuntimeException {

    private static final long serialVersionUID = 1L;
    
    public ScriptCompleException(String script,int line,String message,String detail,Throwable th) {
        super(message,new Object[]{script,new Integer(line),message,detail},th);
    }
    public ScriptCompleException(String script,String message,String detail,Throwable th) {
        super(message,new Object[]{script,message,detail},th);
    }
    public ScriptCompleException(Throwable th) {
        super(null,null,th);
    }

}
